%define version 2.0.6

Summary:	Data Acquisition Library
License:	GNU General Public License
Group:		Libraries/Network
Name:		daq
Release:	1.1
Source:		daq-%{version}.tar.bz2
URL:		http://www.snort.org/
Version:	%{version}

BuildRoot:	%{_tmppath}/daqrpm-%{version}-root

BuildRequires: autoconf, automake, flex, bison
BuildRequires:	libpcap-devel >= 1.0.0
Requires:	libpcap-devel >= 1.0.0 glibc-devel

%description
Data Acquisition library for Snort.

%package devel
Group:		Development/Libraries/Network
Summary:	Development files for daq
Requires:	daq = %{version}

%description devel
Data Acquisition library for Snort.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libdaq_static_modules.la
%{_libdir}/libsfbpf.la
%{_libdir}/libdaq.la
%{_libdir}/daq
%{_libdir}/daq/daq_dump.so
%{_libdir}/daq/daq_ipfw.la
%{_libdir}/daq/daq_dump.la
%{_libdir}/daq/daq_afpacket.la
%{_libdir}/daq/daq_pcap.so
%{_libdir}/daq/daq_pcap.la
%{_libdir}/daq/daq_ipfw.so
%{_libdir}/daq/daq_afpacket.so
%{_libdir}/libsfbpf.so.0.0.1
%{_libdir}/libsfbpf.so.0
%{_libdir}/libdaq_static.la
#%{_libdir}/libdaq.so.%{version}
%{_libdir}/libdaq.so.2.0.4
%{_libdir}/libdaq.so.2
%{_bindir}/daq-modules-config


%files devel
%defattr(-,root,root)
%{_includedir}/daq.h
%{_includedir}/daq_common.h
%{_includedir}/sfbpf_dlt.h
%{_includedir}/daq_api.h
%{_includedir}/sfbpf.h
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%{_libdir}/libdaq.a
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq.so
%{_libdir}/libsfbpf.so

%changelog
* Thu Oct 15 2015 cs@linux-administrator.com
- Update to release 2.0.6
* Thu Jun 11 2015 cs@linux-administrator.com
- Update to release 2.0.5
* Tue Nov 11 2014 cs@linux-administrator.com
- Update to release 2.0.4
* Sun Jan 26 2014 cs@linux-administrator.com
- Update to release 2.0.2
* Sun Aug  4 2013 cs@linux-administrator.com
- Update to release 2.0.1
* Sat Dec  8 2012 cs@linux-administrator.com
- Update to release 2.0.0
* Sat Jul 21 2012 cs@linux-administrator.com
- Update to release 1.1.1
* Sun Oct  9 2011 cs@linux-administrator.com
- Update to release 0.6.2
